<?php
/**
* @package XenCentral Ad Server
* @author Skydevelop EU
* @copyright Drnoyan & Nalyan LDA, Portugal, EU
* @license http://www.dnf.pt/eula.html
* @link http://www.skydevelop.com
* @revision 97
* @version 2.0.0 beta 3 rev. 3
*/

abstract class XenCentral_AdServer_Model_Abstract extends XenForo_Model
{
    /**
     * @return XenCentral_AdServer_Model_Banner
     */
    public function getBannerModel()
    {
        return $this->getModelFromCache('XenCentral_AdServer_Model_Banner');
    }

    /**
     * @return XenCentral_AdServer_Model_XenForo_User
     */
    public function getUserModel()
    {
        return $this->getModelFromCache('XenForo_Model_User');
    }



    /**
     * @return XenCentral_AdServer_Model_Zone
     */
    public function getZoneModel()
    {
        return $this->getModelFromCache('XenCentral_AdServer_Model_Zone');
    }


    /**
     * Get product options model
     * @return XenCentral_AdServer_Model_Options
     */
    protected function _getOptionsModel()
    {
        return $this->getModelFromCache('XenCentral_AdServer_Model_Options');
    }

    /**
     * Get product options model
     * @return XenCentral_AdServer_Model_PurchaseLog
     */
    protected function _getPurchaseLogModel()
    {
        return $this->getModelFromCache('XenCentral_AdServer_Model_PurchaseLog');
    }

    /**
     * @return XenCentral_AdServer_Model_Capping
     */
    protected function _getCappingModel()
    {
        return $this->getModelFromCache('XenCentral_AdServer_Model_Capping');
    }
    /**
     * @return XenCentral_AdServer_Model_Banner
     */
    protected function _getBannerModel()
    {
        return $this->getBannerModel();
    }

}
